/*
 * rtpcodecnego.h - Per-codec SDP negociation
 *
 * Farsight RTP/AVP/SAVP/AVPF Module
 * Copyright (C) 2007 Collabora Ltd.
 * Copyright (C) 2007 Nokia Corporation
 *   @author Olivier Crete <olivier.crete@collabora.co.uk>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __FARSIGHT_RTP_CODEC_NEGO_H__
#define __FARSIGHT_RTP_CODEC_NEGO_H__

#include <glib.h>
#include <gst/gst.h>

#include "farsight-codec.h"

G_BEGIN_DECLS

FarsightCodec *
sdp_is_compat (GstCaps *rtp_caps, FarsightCodec *local_codec,
    FarsightCodec *remote_codec);

G_END_DECLS

#endif
